# Python Client
Programmatically 💻 interact with Tamr Unify using Python 🐍

[![Version](https://img.shields.io/pypi/v/tamr-unify-client.svg?style=flat-square)](https://pypi.org/project/tamr-unify-client/)
[![Documentation Status](https://readthedocs.org/projects/tamr-unify-python-client/badge/?version=stable&style=flat-square)](https://tamr-unify-python-client.readthedocs.io/en/stable/?badge=stable)
[![Build Status](https://img.shields.io/travis/Datatamer/unify-client-python.svg?style=flat-square)](https://travis-ci.org/Datatamer/unify-client-python)
![Supported Python Versions](https://img.shields.io/pypi/pyversions/tamr-unify-client.svg?style=flat-square)
[![License](https://img.shields.io/pypi/l/tamr-unify-client.svg?style=flat-square)](LICENSE)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg?style=flat-square)](https://github.com/ambv/black)

---

*Quick links:*
**[Docs](https://tamr-unify-python-client.readthedocs.io/en/stable/)** |
**[Contributing](https://tamr-unify-python-client.readthedocs.io/en/stable/contributor-guide.html)** |
**[Code of Conduct](https://github.com/Datatamer/unify-client-python/blob/master/CODE_OF_CONDUCT.md)** |
**[Change Log](https://github.com/Datatamer/unify-client-python/blob/master/CHANGELOG.md)** |
**[License](https://github.com/Datatamer/unify-client-python/blob/master/LICENSE)**

---

## Install

```sh
pip install tamr-unify-client
```

## Features
- 🐍 Python objects/methods/functions instead of raw HTTP requests
- 🤖 Automate operational workflows
  - Continuous Mastering
  - Continuous Categorization
- 🚀 Kick-off synchronous/asynchronous operations
  - Refresh datasets in your pipeline
  - Train Tamr Unify's machine learning models
  - Generate predictions from trained models
- 🔒 Authenticate with Tamr Unify
- 📥 Fetch resources (e.g projects) by resource ID (e.g. `"1"`)
- 📝 Read resource metadata
- 🔁 Iterate over collections
- ⚠️ Advanced
  - Logging for API requests/responses
  - Call custom/arbitrary API endpoints

## Maintainers

- [Pedro Cattori](https://github.com/pcattori)
